
%global meadversion 1.2.7
%global namedversion 1.2.7.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 3

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.2.7.redhat-4

Name:           xom
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XOM
License:        LGPLv2.1
Group:          Development/Java

%if %with mead
Source100: xom-1.2.7.redhat-4-scm-sources.zip
Source102: xom-1.2.7.redhat-4-javadoc.jar
Source103: xom-1.2.7.redhat-4-sources.jar
Source104: xom-1.2.7.redhat-4.pom
Source105: xom-1.2.7.redhat-4.jar
%endif

URL:            http://xom.nu
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       xerces-j2-eap6 >= 0:2.8.0
Requires:       jaxen-eap6 >= 0:1.1.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xom-%{namedversion}-%{release}-root

%description
The XOM Dual Streaming/Tree API for Processing XML.

%if %with javadoc
%package -n xom-javadoc
Summary:        Javadoc for xom
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n xom-javadoc
%{summary}.
%endif

%prep
%setup -q -n xom -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/xom-%{namedversion}.jar %{buildroot}%{_javadir}/xom-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xom-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xom-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/xom-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xom-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/xom-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-xom.pom

# depmaps
%add_to_maven_depmap xom xom %{namedversion} JPP xom
[ %{name} = "xom" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/xom

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xom-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xom-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xom-%{namedversion} -x META-INF/\*
%{__ln_s} xom-%{namedversion} %{buildroot}%{_javadocdir}/xom
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n xom
%update_maven_depmap

%postun -n xom
%update_maven_depmap

%files -n xom
%defattr(0644,root,root,0755)
%doc lgpl.txt LICENSE.txt README.txt Todo.txt
%{_javadir}/xom-%{namedversion}.jar
%{_javadir}/xom.jar
%exclude %{_javadir}/xom-%{namedversion}-javadoc.jar
%exclude %{_javadir}/xom-javadoc.jar
%{_javadir}/xom-%{namedversion}-sources.jar
%{_javadir}/xom-sources.jar
%{_mavenpomdir}/JPP-xom.pom
%{_mavendepmapfragdir}/xom

%if %with javadoc
%files -n xom-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xom-%{namedversion}
%{_javadocdir}/xom
%{_javadir}/xom-%{namedversion}-javadoc.jar
%{_javadir}/xom-javadoc.jar
%endif

%changelog
* Tue Apr 22 2014 David Walluck <dwalluck@redhat.com> - 1.2.7-3.redhat_4.1
- rebuild wrapper to (unfortunately) remove Requires

* Thu Oct 03 2013 David Walluck <dwalluck@redhat.com> 0:1.2.7-2
- convert to MEAD

* Sun Oct 14 2012 Paul Gier <pgier@redhat.com> - 0:1.2.7-1._redhat_2.1.6
- Minor pom dependency fix

* Sat Aug 18 2012 Paul Gier <pgier@redhat.com> - 0:1.2.7-1._redhat_2.1.5
- Update pom patch for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.7-1._redhat_2.1.4
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.7-1._redhat_1.1.3
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.7-1._redhat_1.1.2
- Rebuild using cache signing

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.7-1._redhat_1.1.1
- Rebuild using cache signing

* Tue Feb 14 2012 Fernando Nasser <fnasser@redhat.com> 0:1.2.7-1.1
- Do not require JAXP at run-time (provided)

* Thu Dec 29 2011 Lin Gao <lgao@redhat.com> 0:1.2.7-0.4
- update pom to use jboss-parent:8-redhat-1

* Mon Nov 21 2011 David Walluck <dwalluck@redhat.com> 0:1.2.7-0.3
- set LANG

* Mon Nov 21 2011 David Walluck <dwalluck@redhat.com> 0:1.2.7-0.2
- rebuild to fix repolib

* Tue Nov 15 2011 David Walluck <dwalluck@redhat.com> 0:1.2.7-0.1
- 1.2.7
- add repolib

* Tue Mar 10 2009 David Walluck <dwalluck@redhat.com> 0:1.2.1-1
- 1.2.1

* Wed Aug 06 2008 David Walluck <dwalluck@redhat.com> 0:1.2-0.b2.4
- add crosslink patch

* Wed Aug 06 2008 David Walluck <dwalluck@redhat.com> 0:1.2-0.b2.3
- add ANT_OPTS and patch for javac and javadoc stack size, respectively

* Mon Aug 04 2008 David Walluck <dwalluck@redhat.com> 0:1.2-0.b2.2
- add maven support

* Mon Aug 04 2008 David Walluck <dwalluck@redhat.com> 0:1.2-0.b2.1
- 1.2b2

* Mon Aug 04 2008 David Walluck <dwalluck@redhat.com> 0:1.1-5
- BuildRequires: dom4j
- BuildRequires: saxon7
- don't use classpathx-jaxp

* Tue Jul 29 2008 David Walluck <dwalluck@redhat.com> 0:1.1-4
- fix License

* Sat Jul 26 2008 David Walluck <dwalluck@redhat.com> 0:1.1-3
- remove spurious BuildRequires: classpathx-jaxp
- remove javadoc scriptlets
- update License
- update BuildRoot
- GCJ fixes
- properly unpack sources
- fix maven directory ownership
- add ant-junit to OPT_JAR_LIST
- add ant-trax to OPT_JAR_LIST

* Tue Jun 24 2008 Fernando Nasser <fnasser@redhat.com> - 0:1.1-2
- Add missing dependency on ant-trax

* Thu Jan 31 2008 Ralph Apel <r.apel at r-apel.de> - 0:1.1-1jpp
- 1.1
- Add pom and depmap frags

* Wed May 09 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.0-5jpp
- Make Vendor, Distribution based on macro

* Mon Feb 12 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.0-4jpp
- Add option to build core on bootstrap
- Add gcj_support option

* Tue Feb 28 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.0-3jpp
- Remove dependency on clover10 (non-free)

* Sun Feb 26 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.0-2jpp
- First JPP 1.7 release

* Wed Aug 17 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- First JPP release
